#ifndef _Handle_PFunction_Function_HeaderFile
#define _Handle_PFunction_Function_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PFunction_Function;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PFunction_Function);

class Handle(PFunction_Function) : public Handle(PDF_Attribute) {
  public:

    Handle(PFunction_Function)():Handle(PDF_Attribute)() {} 
    Handle(PFunction_Function)(const Handle(PFunction_Function)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PFunction_Function)(const PFunction_Function* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PFunction_Function)& operator=(const Handle(PFunction_Function)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PFunction_Function)& operator=(const PFunction_Function* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PFunction_Function* operator->() const 
     {
      return (PFunction_Function *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PFunction_Function) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
